Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.destinations
Class TemporaryQueueImpl

    java.lang.Object
      net.sf.dropboxmq.destinations.DestinationImpl
          net.sf.dropboxmq.destinations.QueueImpl
              net.sf.dropboxmq.destinations.TemporaryQueueImpl

All Implemented Interfaces:
  Serializable, Destination, Queue, TemporaryQueue

    public class TemporaryQueueImpl

extends QueueImpl
implements TemporaryQueue

Created: 17 Nov 2005

Version:
  $Revision: 231 $, $Date: 2011-08-12 21:50:47 -0600 (Fri, 12 Aug 2011) $
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`TemporaryQueueImpl(String name, Configuration configuration)`

Method Summary
`void` | `delete()` Deletes this temporary queue.

Methods inherited from class net.sf.dropboxmq.destinations.QueueImpl
`getQueueName`

Methods inherited from class net.sf.dropboxmq.destinations.DestinationImpl
`getName, setName, toObjectString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jms.Queue
`getQueueName, toString`

Constructor Detail

### TemporaryQueueImpl

    public TemporaryQueueImpl(String name,
                              Configuration configuration)

Method Detail

### delete

    public void delete()
                throws JMSException

  Description copied from interface: `javax.jms.TemporaryQueue`
  Deletes this temporary queue. If there are existing receivers still using it, a `JMSException` will be thrown.

  Specified by:
    `delete` in interface `TemporaryQueue`
  Throws:
    `JMSException` - if the JMS provider fails to delete the temporary queue due to some internal error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD